# Unit Testing

Software error testing. In case if something goes wrong with our program we can get data that tells us what is wrong with the program.


## Getting Started

first make three folders public, src, test, and 7 files index.html, main.js,mylib.js,example.test.js,.gitignore,package.json.

### Prerequisites

we need to install mocha with npm trough command npm install mocha after that we can use it in testing our software.



## Usage

trough command npm run test we can run mocha test to our program mylib.js with example.test.js


